// pages/template/template.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    url: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.link) {
      options.link = decodeURIComponent(options.link)
      app.dialog.loading('正在加载');
      var type = options.link.split('.')
      if (type[type.length-1] == 'pdf') {
        wx.download({
          url: options.link,
          success: function (res) {
            const filePath = res.tempFilePath
            wx.openDocument({
              filePath: filePath,
              fileType: 'pdf',
              success: function (res) {
                wx.stopPullDownRefresh();
                wx.hideLoading();
              }
            })
          },
          fail: function (error) {
            console.log(error)
          }
        })
      } else {
        this.setData({
          url: options.link
        })
      }
    } else {
      options.url = decodeURIComponent(options.url)
      this.setData({
        url: 'https://www.wgink.ink/' + options.url
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})